Page MenuHomePhabricator

MCS should quote the ETag
Closed, ResolvedPublic

Description

The last unresolved piece in T148590 is that MCS currently doesn't double-quote the ETag header, which is should according to http spec.

So etag should be transformed from 123/uuid to "123/uuid".

Details

Related Gerrit Patches:
mediawiki/services/mobileapps : masterQuote the ETag being set and fix it up in some endpoints

Event Timeline

Pchelolo created this task.Nov 16 2016, 7:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2016, 7:18 PM

Change 322084 had a related patch set uploaded (by Mobrovac):
Quote the ETag being set

https://gerrit.wikimedia.org/r/322084

bearND assigned this task to mobrovac.Nov 17 2016, 3:39 PM

Change 322084 merged by jenkins-bot:
Quote the ETag being set and fix it up in some endpoints

https://gerrit.wikimedia.org/r/322084

Mholloway closed this task as Resolved.Dec 14 2016, 9:19 PM
bearND added a subscriber: bearND.Dec 14 2016, 9:48 PM

deploy/2016-12-14/ae1d3c23